Class | Sequel::SQL::Function
In: | lib/sequel/sql.rb lib/sequel/extensions/eval_inspect.rb
Parent: | GenericExpression

Represents an SQL function call.

### Methods

new

### Attributes

args | [R] | The array of arguments to pass to the function (may be blank)
f | [R] | The SQL function to call

### Public Class methods

new(f, *args)

Set the functions and args to the given arguments

[Source]

          # File lib/sequel/sql.rb, line 1110
    1110:       def initialize(f, *args)
    1111:         @f, @args = f, args
    1112:       end

[Validate]